#
# spec file for package seccheck (Version 2.0)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         seccheck
License:      GPL
Group:        Productivity/Security
Provides:     suse-security-check 
Requires:     cron bash
PreReq:       %fillup_prereq
Autoreqprov:  on
BuildArchitectures: noarch
Version:      2.0
Release:      505.4
Summary:      Security-Check Scripts
Source:       %{name}-%{version}.tar.gz
Source1:      sysconfig.seccheck
Source2:      cron_entries
Patch:        %{name}-%{version}.diff
Patch1:       %{name}-%{version}-misc.patch
Patch2:       %{name}-%{version}-nisfix.patch
Patch3:       %{name}-%{version}-grep.patch
Patch4:       %{name}-%{version}-sort.patch
Patch5:       %{name}-%{version}-newpromisccheck.patch
Patch6:       %{name}-%{version}_regexfix-bug51004.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Regularly executable scripts (via cron) for checking the security of
your system.



%prep
%setup
%patch
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%install
install -d -o root -g root -m 700 $RPM_BUILD_ROOT/var/lib/secchk
install -d -o root -g root -m 700 $RPM_BUILD_ROOT/var/lib/secchk/data
install -d -o root -g root -m 750 $RPM_BUILD_ROOT/usr/lib/secchk
install -d -o root -g root -m 755 $RPM_BUILD_ROOT/usr/doc/packages/secchk
install -d -o root -g root -m 755 $RPM_BUILD_ROOT/etc/cron.d
install -o root -g root -m 600 crontab.security $RPM_BUILD_ROOT/etc/cron.d/seccheck
install -o root -g root -m 740 *.sh $RPM_BUILD_ROOT/usr/lib/secchk/
install -o root -g root -m 740 checkneverlogin $RPM_BUILD_ROOT/usr/lib/secchk/
install -o root -g root -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -o root -g root -m 644 $RPM_SOURCE_DIR/sysconfig.seccheck $RPM_BUILD_ROOT/var/adm/fillup-templates/
#install -d -o root -g root -m 755 $RPM_BUILD_ROOT/etc/cron.daily
#install -d -o root -g root -m 755 $RPM_BUILD_ROOT/etc/cron.weekly
#install -d -o root -g root -m 755 $RPM_BUILD_ROOT/etc/cron.monthly
#for freq in daily weekly monthly; do
#	sed "s/FREQUENCY/$freq/" <$RPM_SOURCE_DIR/cron_entries >$RPM_BUILD_ROOT/etc/cron.$freq/seccheck
#	chown 0.0 $RPM_BUILD_ROOT/etc/cron.$freq/seccheck
#	chmod 700 $RPM_BUILD_ROOT/etc/cron.$freq/seccheck
#done	

%files
%doc TODO CHANGES README LICENCE
/usr/lib/secchk
%config /etc/cron.d/seccheck
#%config /etc/cron.daily/seccheck
#%config /etc/cron.weekly/seccheck
#%config /etc/cron.monthly/seccheck
%dir /var/lib/secchk
%dir /var/lib/secchk/data
/var/adm/fillup-templates/sysconfig.seccheck

%post
%{fillup_only}

%changelog -n seccheck
* Fri Jul 29 2005 - thomas@suse.de
- fixed regex for group file parsing (bug #51004)
* Tue Sep 30 2003 - thomas@suse.de
- added new promisc mode check
* Tue Sep 02 2003 - kukuk@suse.de
- Add sysconfig metadata [Bug #28935]
* Sun Aug 03 2003 - poeml@suse.de
- sort was using obsolete syntax +1, replaced by -k2 [#28429]
* Fri Jun 06 2003 - okir@suse.de
- grep -C was using obsolete syntax [#27258]
* Sat Feb 22 2003 - mmj@suse.de
- Add sysconfig metadata [#22684]
* Wed Feb 05 2003 - okir@suse.de
- do not complain about +joedoe NIS accounts (previously,
  we just ignored + and -) (#23146)
* Mon Nov 18 2002 - okir@suse.de
- removed residual rc.config references
- START_SECCHECK now really works
- cleaned up the general blurb included in the mail messages
- daily sec check would incorrectly flag random home directories
  and dot files as owned by another user/group (#20720)
- use long-iso format in ls output (#21863)
- corrected spelling of sysconfig variable
  (SECCH*C*K_USER -> SECCHK_USER) (#15866, 16623)
- avoid different seccheck scripts from stepping on each others'
  toes when using a local copy of /etc/passwd (#16810)
- Stop warning about + and - lines in /etc/{shadow,passwd} (#21496)
- Allow user/group names of up to 32 characters (#21496 too)
* Mon Nov 11 2002 - kukuk@suse.de
- Use sysconfig/seccheck, not rc.config
* Thu Aug 01 2002 - ro@suse.de
- move to sysconfig, use prereq
* Fri Jul 13 2001 - garloff@suse.de
- Added START_SECCHK variable to control whether the script will
  be run by cron. (see discussion @ bugzilla #5413).
  START_SECCHK defaults to "yes".
- Update to seccheck-2.0:
  * fixed an egrep bug - which was reported looooong time ago :-(
  * workarounds for Redhat ... they should update the mktempa and
  provide pidof ... duh ... (thanks to weutzing@exozet.com)
- Update to seccheck-1.9:
  * finally fixed the output of the weekly changes to prevent
  unnecessary lines
  * Added small fix to prevent "undisclosed receipent" msg in
  mailers
* Tue May 08 2001 - garloff@suse.de
- Update to seccheck-1.8:
  * rewrote the mail header message for the change reports
  * added LICENCE (GPLv2) - required by SuSE policy
- Update to seccheck-1.7:
  * fixed a check for /etc/shadow password field contents
* Tue Apr 24 2001 - garloff@suse.de
- Move it back to cron.d/seccheck. Otherwise users who use their
  machine only occasionally would see a significant performance
  hit.
* Wed Feb 21 2001 - garloff@suse.de
- Start seccheck via cron.daily,weekly,monthly instead of
  cron.d/seccheck. The latter does not work, if the computer is not
  running at the specified time. (Bugzilla #5413, Ivory@SerNet.de)
* Tue Jan 09 2001 - garloff@suse.de
- Add SECCHK_USER to /etc/rc.config (fillup-template), bug #5349
- Remove double sourcing of /etc/rc.config from security-control.sh
  script.
* Tue Dec 19 2000 - garloff@suse.de
- Oops: Used %%{_tmpdir} instead of %%{_tmppath} in BuildRoot:
* Tue Dec 19 2000 - garloff@suse.de
- seccheck-1.6:
  * Fix some DoS possibilities
  * Exlcude for NFS/cdrom was missing at one place in weekly
  * closed a hole against possibility of a backdoor trying
  to hide from lsof output
* Fri Sep 29 2000 - garloff@suse.de
- seccheck-1.4: lsof fix and other minor fixes.
* Tue Jul 25 2000 - garloff@suse.de
- egrep check for \\+ sign was missing the quoting \\ (#3461)
* Sun Jul 09 2000 - garloff@suse.de
- Report version number properly (was erroneously set to 1.2)
* Fri Jun 30 2000 - garloff@suse.de
- Update to version 1.3:
  * checkneverlogin
  * reiserfs support (suid/writable)
  * better output routines
  * some checks added
- Use BuildRoot.
* Wed Feb 16 2000 - garloff@suse.de
- Version 0.9. Use install in spec-file instead of crufty
  cp/mkdir, chown, chmod sequences.
* Tue Oct 19 1999 - bs@suse.de
- changed from /etc/cron.daily to /etc/cron.d with hardcoded starting times.
* Fri Oct 01 1999 - bs@suse.de
- new version 0.8
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Apr 13 1999 - bs@suse.de
- set version properly
* Tue Mar 30 1999 - ro@suse.de
- new package
